summaryrefslogtreecommitdiffstats
path: root/multimedia/guvcview/guvcview.SlackBuild
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:40:52 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:40:52 -0400
commit1cba6152780ceec72b0ffc970e8cbb69d477b472 (patch)
tree9e34347bc4d984f83bc63c483eafa051df12d18e /multimedia/guvcview/guvcview.SlackBuild
parenta8c5f73f7763b303ffe524db8ae1cf848c12e99a (diff)
downloadslackbuilds-1cba6152780ceec72b0ffc970e8cbb69d477b472.tar.gz
slackbuilds-1cba6152780ceec72b0ffc970e8cbb69d477b472.tar.xz
multimedia/guvcview: Fixed for bash4.
Diffstat (limited to 'multimedia/guvcview/guvcview.SlackBuild')
-rw-r--r--multimedia/guvcview/guvcview.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/multimedia/guvcview/guvcview.SlackBuild b/multimedia/guvcview/guvcview.SlackBuild
index 11aa09d39c..c89509b440 100644
--- a/multimedia/guvcview/guvcview.SlackBuild
+++ b/multimedia/guvcview/guvcview.SlackBuild
@@ -61,12 +61,8 @@ make install \
guvcviewdocdir=/usr/doc/$PRGNAM-$VERSION \
DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
cp -a TODO.tasks $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild